Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592793 - LCD picture quality regression 2.6.27 vs 2.6.33
Summary: LCD picture quality regression 2.6.27 vs 2.6.33
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 23:01 UTC by sd.domrep
Modified: 2010-07-23 21:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 21:26:48 UTC


Attachments (Terms of Use)
Digital photo of my LCD Fedora13/OpenSuse 11.1 (deleted)
2010-05-16 23:01 UTC, sd.domrep
no flags Details

Description sd.domrep 2010-05-16 23:01:45 UTC
Created attachment 414426 [details]
Digital photo of my LCD Fedora13/OpenSuse 11.1

Description of problem:
Please take a look at the digital picture of my screen.
Fedora 13 on the left side, OpenSuse 11.1 on the right.
It will explain you my problem clearly. 
I use i915GM video chipset and it produce screen picture which is unusable. It hurts my eyes after an hour or so.
Also output of "xrandr":  Subpixel:   horizontal rgb


Version-Release number of selected component (if applicable):
OpenSuse and Fedora 13 has all last updates.


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 sd.domrep 2010-05-20 22:56:06 UTC
I am happy to say that I found source of my problems.
DRI2 module.

As long as I start Xorg with "Disable DRI2" in module section I have normal picture and I have normal smooth rotatin of the gears in "glxgears" test.
Output of the "glxgears" without dri2 module:
565 frames in 5.0 seconds = 112.932 FPS
559 frames in 5.0 seconds = 111.726 FPS
558 frames in 5.0 seconds = 111.590 FPS
554 frames in 5.0 seconds = 110.797 FPS
569 frames in 5.0 seconds = 113.742 FPS
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 6301 requests (36 known processed) with 0 events remaining.

Output of TOP:
1676 vas       20   0 15784 4868 1760 R 52.6  0.3   0:03.75 glxgears
1032 root      20   0 53664  12m 7124 S 39.9  0.8   0:50.63 X

With DRI2 module i had no more then 20 FPS and unstable gears rotation.

Of course there is no H/W acceleration, bu there is no eyes problem and good picture.

Comment 2 sd.domrep 2010-07-23 21:26:48 UTC
My fault, I installed too many "freetype" on Fedora.


Note You need to log in before you can comment on or make changes to this bug.